#ifndef viplexcoreoc_h
#define viplexcoreoc_h

typedef void(^viplexcoreblock)(int code,NSString* data);

@interface ExportViplexcore : NSObject
- (int)nvInit:(NSString*)path:(NSString*)credentials;
- (void)nvSetDevLang:(NSString*)devLang;
- (void)nvSetPlatform:(NSString*)platform;
- (void)initInternal:(NSString*)sdkRootDir:(NSString*)credentials:(int)type;
- (void)nvPingAsync:(viplexcoreblock)block;
- (void)nvStopPublicNetAsync:(viplexcoreblock)block;
- (void)nvFindAllTerminalsAsync:(viplexcoreblock)block;
- (void)nvSearchTerminalAsync:(viplexcoreblock)block;
- (void)nvGetEnvironmentBrightnessParameterAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetEnvironmentBrightnessParameterAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvRegisterVnnox:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetVerifyCode:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvLoginVnnox:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetScreenDeviceInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvCancelFunctionAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDownloadTerminalPlayLogAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDownloadTerminalAllLogAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvCheckNetworkAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvUploadTerminalLogAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDownloadTerminalLogAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetTimeZoneAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetTokenAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvIsExistPlayerNameAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetPlayerIdentiferAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvIsCommonCloudAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvFinishDataAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvStartGetAvailableMemoryDataAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvUploadFeedBackFileStateAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvUploadFeedbackInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvAddNodeServerInfoListAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvChangeNodeServerListAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDeleteNodeServerListAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvAddNodeServerListAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetNodeServerListAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetAudioMedioProgramAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetFileMD5Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetCustomerTplAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvStopProgramTransferAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvStartTransferProgramAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDeleteProgramAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetProgramAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDeleteTplAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvEditTplAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvAddTplAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetSystemTplInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvMakeProgramAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetPageProgramsAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetPageProgramAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvCreateProgramAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvQueryFileByTypeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDownLoadFilesAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDataBaseMigrationAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetScreenUnitTempAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetTimeAndZoneAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetDisplayInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetRotationAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetRotationAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDownLoadScreenshotAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetIsUseDayLightTimeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvAddNetTimingInfoListAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvUpdateNetTimingInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDeleteNetTimingInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvAddNetTimingInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetNetTimingListInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetNetTimingInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetNetTimingInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvCalibrateTimeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetCurrentTimeAndZoneAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetMonitorInfoByReceiverIndexAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetReceiverCountAndInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetSendCardMonitorInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetAvailableMemoryAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetCPUTempAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetCPUUsageAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetAvailableStorageDataAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetBindPlayerAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetCloudPlayerListAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetBindPlayerAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetIcareConfigInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetIcareConfigInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetRecvCardFileAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetScreenAttributeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetScreenAttributeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetModuleInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetWifiApStationSwitchAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetAPNetworkOpenStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetAPNetworkOpenStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGet4GNetworkStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetFlightModeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetFlightModeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetAPNInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetAPNInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetAPNetworkAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetAPNetworkAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetEthernetInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetEthernetInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvIsMobileModuleExistedAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetMobileNetworkAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetMobileNetworkAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSendForgetWifiCommandAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetWifiEnabledAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetWifiEnabledAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDisconnectWifiNetworkAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvConnectWifiNetworkAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetWifiListAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvUpdateVerifyAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvStopCurrentUpdateTaskAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvUpdateOSAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvUpdateAppAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvReadFileContentFromZipFileAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvStopDownloadUpgradeFileAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDownloadUpgradeFileAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetOnlineUpgradeFileAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvQueryUpdateFileByTypeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDeleteCollectorAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvAddCollectorAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetPickerReceiverAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetCustomResolutionAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetHdmiOutputStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetHdmiOutputStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetReBootTaskAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetReBootTaskAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetSupportedResolutionAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetCurrentResolutionAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetCurrentResolutioAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetOTGUSBModeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetOTGUSBModeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvClearAllMediasAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetReBootWipeUserDataAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetSyncPlayAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetSyncPlayAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvStopPlayAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvResumePlayAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvPausePlayAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvStartPlayAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDeletePlayListAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetProgramInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetScreenPowerPolicyFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetScreenPowerManual0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvsetScreenPowerPolicy0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvsetScreenPowerManual0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetScreenPowerPolicyAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetScreenPowerPolicyAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetScreenPowerStateAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetScreenPowerStateAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetScreenPowerModeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetScreenPowerModeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetColorTemperatureAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetColorTemperatureAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvgetPolicyBrightnessFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvsetPolicyBrightnessFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvsetManualBrightnessFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetEnvironmentBrightnessAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetBrightnessPolicyAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetBrightnessPolicyAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetScreenBrightnessAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetScreenBrightnessAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetBrightnessAdjustModeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetBrightnessAdjustModeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetconfigurationAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetProductInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetInstalledPackageVersionsAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetFirmwareInfosAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvLogoutAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetSystemInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetTerminalInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetTerminalInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetScreenInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDelTerminalInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvChangePassWordAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvLoginAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSearchRangeIpAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSearchAppointIpAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetUserInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetUserInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetVideoSourcePolicyFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetVideoSourcePolicyFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetVideoSourceManualFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetVideoSourceManualFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetVideoEDIDAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetVideoEDIDAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetVideoControlInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetVideoControlInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetRelayPowerStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetRelayPowerStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetRelayPowerPolicyAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetRelayPowerPolicyAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetRelayPowerManualAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetPowerModeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetPowerModeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetPowerInfoStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetPowerInfoPolicyAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetPowerInfoPolicyAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetPowerInfoManualAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetLoraInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetSupportSensorInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetSupportSensorInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetSpliceInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetSpliceInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvUpdateFontAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDeleteFontAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetTerminalFontAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetPlaylogPathAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvStartUploadApkCoreAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvUninstallPackageAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvForceStopAppAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetRunningPackageInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetInstalledPackageInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetVPNConnectInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetVPNConnectInfoAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetTimingVolumeFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetTimingVolumeFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetVolumeFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetVolumeFor0x99Async:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetTimingVolumeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetTimingVolumeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetVolumeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetVolumeAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetManualPowerSwitchStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetManualPowerSwitchStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetRealtimePowerSwitchStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetTimingPowerSwitchStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetTimingPowerSwitchStatusAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvGetPublicNetParamAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvDisconnectPublicNetAsync:(NSString*)nsdata:(viplexcoreblock)block;
- (void)nvSetPublicNetConfigParamAsync:(NSString*)nsdata:(viplexcoreblock)block;
@end

#endif /* viplexcoreoc_h */
